#### Previous topic

scipy.odr.ODR.set_job

#### Next topic

scipy.odr.Output.pprint

# scipy.odr.Output

class `scipy.odr.``Output`(output)

  The Output class stores the output of an ODR run.

  Notes

  Takes one argument for initialization, the return value from the function `odr`. The attributes listed as “optional” above are only present if `odr` was run with `full_output=1`.

  Attributes

  beta | (ndarray) Estimated parameter values, of shape (q,).
  sd_beta | (ndarray) Standard errors of the estimated parameters, of shape (p,).
  cov_beta | (ndarray) Covariance matrix of the estimated parameters, of shape (p,p).
  delta | (ndarray, optional) Array of estimated errors in input variables, of same shape as x.
  eps | (ndarray, optional) Array of estimated errors in response variables, of same shape as y.
  xplus | (ndarray, optional) Array of `x + delta`.
  y | (ndarray, optional) Array `y = fcn(x + delta)`.
  res_var | (float, optional) Residual variance.
  sum_sqare | (float, optional) Sum of squares error.
  sum_square_delta | (float, optional) Sum of squares of delta error.
  sum_square_eps | (float, optional) Sum of squares of eps error.
  inv_condnum | (float, optional) Inverse condition number (cf. ODRPACK UG p. 77).
  rel_error | (float, optional) Relative error in function values computed within fcn.
  work | (ndarray, optional) Final work array.
  work_ind | (dict, optional) Indices into work for drawing out values (cf. ODRPACK UG p. 83).
  info | (int, optional) Reason for returning, as output by ODRPACK (cf. ODRPACK UG p. 38).
  stopreason | (list of str, optional) info interpreted into English.

  Methods

  `pprint`() | Pretty-print important results.